Description

I think this would be a big usability improvement. It should be able to be turned off however (wildintellect), but the default behavior when

opening a new project should be that the Map CRS inherits from the CRS from the layer, when possible.

Perhaps I am missing something however - the text in the QGIS Options CRS tabs says: 'when layer is load that has no coordinate

reference system (CRS)' do...

I have 'Prompt for CRS Checked' and when I open a shapefile in BC albers (epsg 3005)

PROJCS[[PCS_Albers"GEOGCS["GCS_North_American_1983"DATUM["D_North_American_1983"SPHEROID["GRS_1980"63

781370298257222101]]PRIMEM["Greenwich"00]UNIT["Degree"00174532925199433]]PROJECTION["Albers"]PARAMETER["False_Easting"10000000]PARAMETER["False_Northing"00]PARAMETER["Central_Meridian"-1260]PARAMETER["Stand

alse_Easting"10000000]PARAMETER["False_Northing"00]PARAMETER["Central_Meridian"-1260]PARAMETER["Standard_Parallel_1"500]PARAMETER["Standard_Parallel_2"585]PARAMETER["Latitude_Of_Origin"450]UNIT["Meter]]


rallel_1"500]PARAMETER["Standard_Parallel_2"585]PARAMETER["Latitude_Of_Origin"450]UNIT["Meter]]

...the map still defaults to EPSG 4326, which is not the behavior I would assume based on that description.

Is something wrong with my system or is that description of out sync with intended behavior?

History

#1 - 2009-08-04 02:52 AM - Magnus Homann

- Resolution set to wontfix

- Status changed from Open to Closed

It means that if there is no information about the CRS for the layer, what to do then?

As long as you don't have projection turned on, the map CRS doesn't matter. When you turn it on, you also specify the "map" CRS.

What you suggst was the behaviour a few years back, but I think the current situation is cleaner and more predictable.

#2 - 2011-03-06 03:25 AM - Borys Jurgiel

- Resolution deleted (wontfix)

- Status changed from Closed to Feedback

What about a "Set Project CRS to this layer" in the Legend? With OTFR enabled, this way we could easily switch between various target CRSes. With

OTFR disabled, we could easily synchronize map units. And it would me much more predictable, than automatic setting to the first layer.
By the way: I totally disagree with the "As long as you don't have projection turned on, the map CRS doesn't matter". This way you have broken scale,

broken scale line, and limited possibility to assign project crs to newly created layers. Also, it just makes a mess. If you don't want to use projections, than

the OTFR switch should be rather replaced with a "Projection support" switch to completely detach the missinformating WGS84 CRS.

#3 - 2011-03-06 01:03 PM - Borys Jurgiel

- Status changed from Feedback to Open

#4 - 2011-03-10 03:18 PM - Borys Jurgiel

fixed in commit:c2190016 (SVN r15425)

#5 - 2011-03-10 03:22 PM - Borys Jurgiel

- Resolution set to fixed

- Status changed from Open to Closed
